header {
  width: 100%;
  height: 90px;

  .header_bg_inital {
    width: 100%;
    height: 90px;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0.4;
    background-image: linear-gradient(180deg, rgba(103, 133, 180, 0.68), rgba(103, 133, 180, 0), rgba(103, 133, 180, 0) 200%);

    &.header_bg_fff {
      box-shadow: 0 2px 4px 0 rgba(203, 206, 216, 0.2);
      background: #fff;
      opacity: 1;
    }
  }

  .header_wrapper {
    position: relative;
    width: 100%;
    height: 100%;

    .header_navbar {
      width: 100%;
      height: 100%;
      display: -webkit-flex;
      display: flex;
      position: relative;
      z-index: 100;

      .head_menu {
        position: relative;
        min-width: 1200px;
        height: 100%;
        margin: 0 auto;
        z-index: 10;
        -webkit-justify-content: space-between;
        justify-content: space-between;
      }
    }
  }
}

.header_navbar .head_menu,
.header_navbar .head_menu .nav_left {
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
}

.header_navbar .head_menu {
  .nav_left {
    .logo {
      width: 112px;
      height: auto;
      cursor: pointer;

      img {
        width: 100%;
      }
    }
  }

  .nav_md {
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: space-around;
    justify-content: space-around;

    .ant-popover-inner {
      border-radius: 8px !important;
    }
  }

  .nav_list {
    margin: 0 24px;
    font-size: 14px;
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    height: 100%;
  }
}

.drop_down .drop_down_block .drop_down_item .item_top .icon_block {
  width: 50px;
  height: 50px;
  -webkit-flex: none;
  flex: none;
  margin-right: 8px;
  border-radius: 10.9px;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
  box-shadow: 0 3px 7px 0 rgba(112, 146, 215, 0.14);
  background-image: url(/images/hotgame-icon-bg.png);
  background-size: contain;
}

.drop_down_list {
  width: 1200px;
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: space-evenly;
  justify-content: space-evenly;
}

.drop_down_list {
  cursor: pointer;
}

.drop_down_list .drop_down_item {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: column;
  flex-direction: column;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: flex-end;
  justify-content: flex-end;
  width: 300px;
  transition: all 0.2s ease;
  position: relative;
}

.drop_down_list .drop_down_item .num {
  width: auto;
  height: 27px;
  margin-top: 8px;
  display: -webkit-flex;
  display: flex;
  padding: 2px 12px 0;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-align-items: center;
  align-items: center;
  grid-gap: 1px;
  gap: 1px;
  bottom: -24px;
  border-radius: 20px;
  color: #303442;
  font-family: Akrobat;
  font-size: 20px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  border: 0.5px solid rgba(255, 255, 255, 0.5);
  background: linear-gradient(180deg, hsla(0, 0%, 100%, 0.7), rgba(228, 232, 250, 0.7));
  position: absolute;

  span {
    color: #7981a4;
    text-align: center;
    font-family: PingFang SC;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-left: 1px;
  }
}

.drop_down_list .drop_down_item .item_imgBlock {
  position: relative;
  width: 210px;
  height: 210px;
  margin-top: 12px;
  transition: all 0.3s;
}

.drop_down_list .drop_down_item:hover .item_imgBlock {
  -webkit-transform: scale(1.1) translateZ(0);
  transform: scale(1.1) translateZ(0);

  img {
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
  }
}

.drop_down_list .drop_down_item .item_top {
  position: relative;

  .tags {
    height: 25px;
    width: 170px;
    position: absolute;
    top: -28px;

    .tag1 {
      width: 50px;
      height: 16px;
      background-image: url(/images/tag1.png);
      background-size: contain;
      position: relative;
      background-repeat: no-repeat;
      margin-top: 3px;
      margin-right: 8px;
    }

    .tag2 {
      width: 96px;
      height: 25px;
      background: url(/images/tag2.png) no-repeat;
      background-size: 100% 100%;
      font-size: 10px;
      color: #fff;
      line-height: 20px;
      text-align: center;
      width: 108px;

      span {
        font-size: 12px;
      }
    }
  }
}

.drop_down_list .drop_down_item .item_top > div {
  display: -webkit-flex;
  display: flex;

  img {
    width: 44px;
    height: auto;
  }

  .brand {
    min-width: 90px;
    width: 100%;
    display: -webkit-flex;
    display: flex;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-flex-direction: column;
    flex-direction: column;

    .brand_name {
      position: relative;
      line-height: 21px;
      margin-bottom: 2px;
      font-size: 18px;
      font-weight: 600;
      font-family: PingFang SC;
      color: #7981a4;
      width: 100%;
      text-align: left;
    }

    .brand_name_en {
      line-height: 16px;
      font-size: 12px;
      color: #7981a4;
      white-space: nowrap;
      font-family: PingFang SC;
    }
  }
}

.imgBlock {
  position: relative;
  width: 100%;
  height: 100%;
}

.imgBlock.bgContain {
  background-size: contain;
}

.imgBlock.bgCover {
  background-size: cover;
}

.money_block {
  /* width: 120px; */
  display: -webkit-flex;
  display: flex;
  -webkit-flex-flow: row nowrap;
  flex-flow: row nowrap;
  -webkit-justify-content: space-between;
  justify-content: space-between;
  -webkit-align-items: center;
  align-items: center;
  margin-right: 24px;

  .item {
    width: 32px;
    cursor: pointer;

    &:not(:first-child) {
      margin-left: 12px;
    }

    .img_block {
      position: relative;
      width: 32px;
      height: 32px;
      transition: all 0.3s;
    }

    .text {
      font-family: PingFang SC;
      text-align: center;
      font-size: 16px;
      line-height: 22px;
      font-weight: 400;
      color: #949ab6;
    }

    &:hover .text {
      color: #179cff;
    }
  }
}

.inputs {
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  color: rgba(255, 255, 255, 0.8);
  font-size: 14px;
  line-height: 1.8;
  text-align: center;
}

.inputs .btn {
  width: 66px;
  margin-left: 4px;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
  background-size: cover;
  font-size: 14px;
  border-radius: 25px;
  opacity: 1;
  transition: all 0.3s;
  z-index: 999;

  &,
  div {
    width: 64px;
    height: 28px;
    line-height: 28px;
    cursor: pointer;
  }

  &:hover {
    opacity: 0.8;
  }
}

.login_btn {
  color: #fff;
  background-image: url(/images/btn-active.png);
  -webkit-filter: drop-shadow(0 2px 4px rgba(93, 167, 235, 0.8));
  filter: drop-shadow(0 2px 4px rgba(93, 167, 235, 0.8));
}

.logout_btn {
  border-radius: 8px;
  color: #6c7ba8;
  background-image: url(/images/btn2.png);
  -webkit-filter: drop-shadow(0 4px 8px rgba(194, 211, 222, 0.5));
  filter: drop-shadow(0 4px 8px rgba(194, 211, 222, 0.5));
}

.inputs input:-webkit-autofill {
  -webkit-transition: background-color 5000s ease-in-out 0s;
  transition: background-color 5000s ease-in-out 0s;
  -webkit-text-fill-color: #fff !important;
}

.inputs input:-webkit-autofill:focus {
  -webkit-text-fill-color: #fff !important;
}

.inputs input::placeholder {
  color: #fff;
  font-size: 12px;
  opacity: 0.8;
}

.inputs input::-webkit-input-placeholder {
  color: #fff;
  font-size: 12px;
  opacity: 0.8;
}

.inputs input::-moz-input-placeholder {
  color: #fff;
  font-size: 12px;
  opacity: 0.8;
}

.login_input_div {
  position: relative;
  margin-left: 4px;

  .login_input {
    padding: 0 50px 0 12px;
  }

  .validcode {
    border-top-right-radius: 14px;
    border-bottom-right-radius: 14px;
    border: 1.5px solid #b5bdd3;
    position: absolute;
    top: 0;
    right: 0;
    width: 60px;
    height: 28px;
  }
}

.login_input {
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: space-between;
  justify-content: space-between;
  padding: 0 12px;
  width: 104px;
  height: 28px;
  border-radius: 14px;
  background-color: rgba(108, 123, 168, 0.5);
  border: none !important;
  color: #fff;
}

.login_input:active,
.login_input:focus,
.login_input:hover {
  background-color: #7981a4;
  border: none;
  box-shadow: none !important;
}

.login_input::placeholder {
  color: #fff;
  font-size: 12px;
  opacity: 0.8;
}

.login_input::-webkit-input-placeholder {
  color: #fff;
  font-size: 12px;
  opacity: 0.8;
}

.login_input::-moz-input-placeholder {
  color: #fff;
  font-size: 12px;
  opacity: 0.8;
}

.forget {
  position: absolute;
  right: 7px;
  top: 0;
  line-height: 28px;
  cursor: pointer;
  color: rgba(255, 255, 255, 0.8);
  font-size: 12px;

  &:hover {
    color: #fff;
  }
}

.login_flex {
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;

  .login_block {
    text-align: right;

    & > img {
      width: 137px;
      height: 14px;
      margin-top: 4px;
    }
  }
}

.login_flex.member_block {
  cursor: pointer;
  height: 56px;
}

.login_flex .head {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  position: relative;
  margin-left: 12px;
  background-color: #f0f6ff;
  overflow: hidden;

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.login_flex .member_info {
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-flex-direction: column;
  flex-direction: column;
  height: 56px;
  width: 137px;

  p {
    font-size: 16px;
    color: #7981a4;
    transition: color 0.2s ease-out;
    max-width: 106px;
    word-break: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }

  & > img {
    width: 100%;
    height: 14px;
  }
}

.login_flex .member_info .account {
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  height: 18px;

  img {
    display: block;
    width: 51px;
    height: 18px;
    margin-left: 4px;
    cursor: pointer;
    width: 52px;
    height: 20px;
  }

  p {
    font-family: PingFang SC;
    font-size: 16px;
    font-weight: 500;
  }
}

.login_flex .member_info .money {
  display: -webkit-flex;
  display: flex;
  height: 16px;
  -webkit-align-items: center;
  align-items: center;
  margin-top: 3px;

  p {
    font-family: Akrobat;
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 16px;
    color: #7981a4;
  }

  img {
    display: block;
    width: 14px;
    height: 14px;
    margin: 0 0 0 4px;
    transition: all 0.3s ease;
    -webkit-transform: rotate(-180deg);
    transform: rotate(-180deg);
  }

  .animation {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
}

.member_brop_down {
  width: 200px;
  border-radius: 4px;
  padding: 14px;
  box-sizing: border-box;

  .member_menu {
    width: 100%;

    .member_menu_item {
      cursor: pointer;
      display: -webkit-flex;
      display: flex;
      -webkit-align-items: center;
      align-items: center;
      -webkit-justify-content: space-between;
      justify-content: space-between;
      position: relative;
    }
  }
}

.member_brop_down .member_menu .member_menu_item:first-child .item_block {
  padding-top: 0 !important;
}

.member_brop_down .member_menu .member_menu_item .item_block {
  width: 100%;
  padding: 14px 0;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: flex-start;
  justify-content: flex-start;

  h1 {
    font-size: 14px;
    font-weight: 400;
    color: #303442;
    padding: 3px 0;
    margin-left: 12px;
    text-align: left;
  }

  .item_imgBlock {
    width: 20px;
    height: 20px;
    margin-bottom: 8px;
  }

  .item_img1 {
    background: url(/images/member-icon1.png) no-repeat;
    background-size: cover;
  }

  .item_img2 {
    background: url(/images/member-icon4.png) no-repeat;
    background-size: cover;
  }

  .item_img3 {
    background: url(/images/member-icon6.png) no-repeat;
    background-size: cover;
  }
}

.member_brop_down .member_menu .member_menu_item .item_block:hover {
  h1 {
    color: #179cff;
  }

  .item_img1 {
    background: url(/images/member-icon1-h.png) no-repeat;
    background-size: cover;
  }

  .item_img2 {
    background: url(/images/member-icon4-h.png) no-repeat;
    background-size: cover;
  }

  .item_img3 {
    background: url(/images/member-icon6-h.png) no-repeat;
    background-size: cover;
  }
}

.member_brop_down .member_menu .member_menu_item .count {
  position: absolute;
  right: 2px;
  top: 21px;
  min-width: 16px;
  height: 16px;
  text-align: center;
  border-radius: 8px;
  padding: 0 5px;
  font-size: 12px;
  line-height: 16px;
  color: #fff;
  background: #179cff;
}

.member_brop_down .logout_btn {
  width: 100%;
  text-align: center;
  margin-top: 8px;
  overflow: hidden;
}

.member_brop_down .logout_btn button {
  width: 100%;
  outline: none;
  border: 1px solid #e8f5ff;
  font-size: 14px;
  color: #7981a4;
  background-color: #fff;
  padding: 11px 0;
  transition: all 0.2s ease-out;
  border-radius: 4px;
  cursor: pointer;
  border-radius: 8px;

  &:active {
    box-shadow: 0 0 0 4px #fffaf5;
  }

  &:hover {
    border: 1px solid #179cff;
    color: #179cff;
  }
}

.menu_md_item {
  position: relative;
  width: 44px;
  height: 90px;
  padding-right: 12px;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: column;
  flex-direction: column;
  -webkit-align-items: center;
  align-items: center;
  color: #7981a4;
  cursor: pointer;
  transition: all 0.2s ease;

  &:last-child {
    width: 32px;
    padding-right: 0;
  }

  &:hover {
    opacity: 1;
    color: #179cff;
  }

  img {
    margin-top: 18px;
    width: 32px;
    height: auto;
  }

  .item_name {
    line-height: 20px;
    font-size: 16px;
  }
}

.menu_left_item {
  position: relative;
  height: 100%;
  line-height: 90px;
  color: #7981a4;
  cursor: pointer;
  transition: all 0.2s ease;

  &:not(:first-child) {
    margin-left: 16px;
  }

  .item_name {
    position: relative;
    width: 32px;
    font-size: 18px;
    line-height: 90px;
    font-family: PingFang SC;
    white-space: nowrap;
    text-align: center;

    p {
      position: absolute;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
    }

    &:after {
      content: "";
      display: block;
      position: absolute;
      left: 50%;
      top: 50%;
      -webkit-transform: translate(-50%, 17.5px);
      transform: translate(-50%, 17.5px);
      width: 0;
      height: 2px;
      background: #179cff;
      border-radius: 1px;
      transition: all 0.2s;
    }
  }
}

.menu_left_item.active,
.menu_left_item:hover {
  color: #179cff;
}

.menu_left_item.active .item_name:after,
.menu_left_item:hover .item_name:after {
  width: 32px;
}

.drop_down {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 364px;
  padding-top: 100px;
  background-color: #fff;
  transition: opacity 0.8s ease, -webkit-transform 0.5s ease;
  transition: transform 0.5s ease, opacity 0.8s ease;
  transition: transform 0.5s ease, opacity 0.8s ease, -webkit-transform 0.5s ease;
  z-index: 80;
  -webkit-transform: translateY(-100%);
  transform: translateY(-100%);
  opacity: 0;
  background-image: url(/images/background-navbar.png);
  background-size: 100% 364px;
  background-position: top;

  .drop_down_block {
    width: 1200px;
    height: 100%;
    margin: 0 auto;
    display: -webkit-flex;
    display: flex;
    -webkit-justify-content: space-between;
    justify-content: space-between;
  }
}

.drop_down.drop_down_animation {
  -webkit-transform: translateY(0);
  transform: translateY(0);
  opacity: 1;
  box-shadow: 0 6px 19px 0 rgba(102, 102, 102, 0.27);
}

.ant-popover {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  color: rgba(0, 0, 0, 0.85);
  font-size: 14px;
  font-variant: tabular-nums;
  line-height: 1.5715;
  list-style: none;
  -webkit-font-feature-settings: "tnum", "tnum";
  font-feature-settings: "tnum", "tnum";
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1030;
  font-weight: 400;
  white-space: normal;
  text-align: left;
  cursor: auto;
  -webkit-user-select: text;
  user-select: text;
}

.ant-popover-arrow {
  position: absolute;
  display: block;
  width: 8.48528137px;
  height: 8.48528137px;
  background: transparent;
  border-style: solid;
  border-width: 4.24264069px;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.ant-popover-hidden {
  display: none;
}

.ant-popover > .ant-popover-content > .ant-popover-arrow {
  right: 16px;
  top: 6px;
  border-color: #fff transparent transparent #fff;
  box-shadow: -2px -2px 5px rgba(0, 0, 0, 0.06);
}

.ant-popover-inner {
  border-radius: 8px !important;
  background-color: #fff;
  background-clip: padding-box;
  box-shadow: 0 3px 6px -4px rgba(0, 0, 0, 0.12), 0 6px 16px 0 rgba(0, 0, 0, 0.08), 0 9px 28px 8px rgba(0, 0, 0, 0.05);
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.15) \9;

  .ant-popover-inner-content {
    padding: 12px 16px;
    color: rgba(0, 0, 0, 0.85);
  }
}
